Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.taglib.util
Class TransposeArrayTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.taglib.util.TransposeArrayTag

public class TransposeArrayTag
extends javax.servlet.jsp.tagext.TagSupport

Implements the methods neccessary to support the `transposeArrayTag` tag.

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`TransposeArrayTag()`

Method Summary
`int` | `doStartTag()` Called when the tag starts.
`java.lang.Object[][]` | `getArray()` Get the value of array.
`java.lang.String` | `getId()` Get the value of id.
`java.lang.String` | `getType()` Get the value of type.
`void` | `setArray(java.lang.Object[][] theArray)` Set the value of array.
`void` | `setId(java.lang.String theId)` Set the value of id.
`void` | `setType(java.lang.String theType)` Set the value of type.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransposeArrayTag

    public TransposeArrayTag()

Method Detail

### setArray

    public void setArray(java.lang.Object[][] theArray)

  Set the value of array.

  Parameters:
    `theArray` - Value to assign to array.

### getArray

    public java.lang.Object[][] getArray()

  Get the value of array.

  Returns:
    Value of array.

### setId

    public void setId(java.lang.String theId)

  Set the value of id.

  Parameters:
    `theId` - Value to assign to id.
  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Get the value of id.

  Returns:
    Value of id.
  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setType

    public void setType(java.lang.String theType)

  Set the value of type.

  Parameters:
    `theType` - Value to assign to type.

### getType

    public java.lang.String getType()

  Get the value of type.

  Returns:
    Value of type.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Called when the tag starts.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved